%define upstream_name Net_SMS
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.2.0
Release:     	%mkrel 2
Summary:    	SMS functionality
License: 	LGPL
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Net_SMS-%{version}.tgz
URL: 		http://pear.php.net/package/Net_SMS
BuildRequires: 	php-pear >= 1.4.7
BuildArch: noarch

%description
This package provides SMS functionality and access to SMS gateways.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_SMS.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_SMS.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_SMS
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Net_SMS.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 377028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 0.2.0-1.mga2
+ Revision: 199934
- upgrade to 0.2.0
  pearized spec file

* Fri Jan 21 2011 spuhler <spuhler> 0.1.0-7.mga1
+ Revision: 27969
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_SMS

